<?php
class Bitfoundry_Etnpay_Block_Form_Pay extends Mage_Payment_Block_Form
{   
    private $etnVendorAddress;
    private $etnVendorKey;
    private $etnTotal;
    private $etnOrderReference;
    public $isMobile;
        
    protected function _construct()
    {
        parent::_construct();
        $this->setTemplate( 'bitfoundry_etnpay/form/pay.phtml' );

        $etnHelper = Mage::helper('bitfoundryetnpay');
        $this->isMobile = $etnHelper->isMobile();
        //$bitfoundryetnpay = Mage::getModel('bitfoundryetnpay/pay');
        
        //$this->etnVendorAddress = $bitfoundryetnpay->getVendorAddress();
        //$this->etnVendorKey = $bitfoundryetnpay->getVendorKey();
        $this->etnTotal = $etnHelper->getETNAmount(Mage::app()->getStore()->getBaseCurrencyCode(), number_format(Mage::getSingleton('checkout/session')->getQuote()->getGrandTotal(),2));
        //$this->etnOrderReference = time();
    }
    
    public function getIsMobile() {
        return $this->isMobile;
    }

    public function getVendorAddress() {
        return $this->etnVendorAddress;
    }
    
    public function getVendorKey() {
        return $this->etnVendorKey;
    }
    
    public function getEtnTotal() {
        return $this->etnTotal;
    }

    public function getOrderReference() {
        return $this->etnOrderReference;
    }
}